package org.alef1.bookmarks;

import org.alef1.bookmark.BookmarkSection;
import org.java.plugin.Plugin;

public class RubyURLs extends Plugin implements BookmarkSection {

	public String category() {
		return "Ruby";
	}

	public int count() {
		return names.length;
	}

	public String getName(int index) {
		return names[index];
	}

	public String getUrl(int index) {
		return urls[index];
	}

	final static String[] names = {
		"Ruby Home", 
		"Try Ruby!", 
		"Rake",
		"Rails",
	};
	
	final static String[] urls = {
		"http://www.ruby-lang.org/", 
		"http://tryruby.hobix.com/", 
		"http://rubyforge.org/projects/rake/",
		"http://www.rubyonrails.org/",
	};

	protected void doStart() throws Exception {
	}

	protected void doStop() throws Exception {
	} 
	
}
